Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.descriptor
Class GenuineVariableDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.descriptor.GenuineVariableDescriptor

    public class GenuineVariableDescriptor

extends Object

Constructor Summary
`GenuineVariableDescriptor(EntityDescriptor entityDescriptor, PropertyDescriptor propertyDescriptor)`

Method Summary
`void` | `afterAnnotationsProcessed(DescriptorPolicy descriptorPolicy)`
`List<VariableListener>` | `buildVariableListenerList()`
`EntityDescriptor` | `getEntityDescriptor()`
`SelectionSorter` | `getIncreasingStrengthSorter()`
`SelectionFilter` | `getReinitializeVariableEntityFilter()`
`Object` | `getValue(Object entity)`
`long` | `getValueCount(Solution solution, Object entity)`
`ValueRangeDescriptor` | `getValueRangeDescriptor()`
`String` | `getVariableName()`
`Class<?>` | `getVariablePropertyType()`
`boolean` | `isChained()`
`boolean` | `isInitialized(Object entity)` A `PlanningVariable.nullable()` value is always considered initialized, but it can still be reinitialized with `PlanningVariable.reinitializeVariableEntityFilter()`.
`boolean` | `isNullable()`
`boolean` | `isValueRangeEntityIndependent()`
`boolean` | `matchesEntityVariable(Object entity, String variableName)`
`void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`
`void` | `registerShadowVariableDescriptor(ShadowVariableDescriptor shadowVariableDescriptor)`
`void` | `setValue(Object entity, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenuineVariableDescriptor

    public GenuineVariableDescriptor(EntityDescriptor entityDescriptor,
                                     PropertyDescriptor propertyDescriptor)

Method Detail

### processAnnotations

    public void processAnnotations(DescriptorPolicy descriptorPolicy)

### afterAnnotationsProcessed

    public void afterAnnotationsProcessed(DescriptorPolicy descriptorPolicy)

### registerShadowVariableDescriptor

    public void registerShadowVariableDescriptor(ShadowVariableDescriptor shadowVariableDescriptor)

### getEntityDescriptor

    public EntityDescriptor getEntityDescriptor()

### getVariableName

    public String getVariableName()

### getVariablePropertyType

    public Class<?> getVariablePropertyType()

### matchesEntityVariable

    public boolean matchesEntityVariable(Object entity,
                                         String variableName)

### isChained

    public boolean isChained()

### isNullable

    public boolean isNullable()

### getReinitializeVariableEntityFilter

    public SelectionFilter getReinitializeVariableEntityFilter()

### getValueRangeDescriptor

    public ValueRangeDescriptor getValueRangeDescriptor()

### isValueRangeEntityIndependent

    public boolean isValueRangeEntityIndependent()

### buildVariableListenerList

    public List<VariableListener> buildVariableListenerList()

### isInitialized

    public boolean isInitialized(Object entity)

  A `PlanningVariable.nullable()` value is always considered initialized, but it can still be reinitialized with `PlanningVariable.reinitializeVariableEntityFilter()`.

  Parameters:
    `entity` - never null
  Returns:
    true if the variable on that entity is initialized

### getValue

    public Object getValue(Object entity)

### setValue

    public void setValue(Object entity,
                         Object value)

### getIncreasingStrengthSorter

    public SelectionSorter getIncreasingStrengthSorter()

### getValueCount

    public long getValueCount(Solution solution,
                              Object entity)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.